Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface SwingConstants

All Known Implementing Classes:
  AbstractButton, BasicArrowButton, BasicInternalFrameUI.BorderListener, BasicScrollBarUI, BasicTabbedPaneUI, BasicToolBarUI, JCheckBoxMenuItem, JLabel, JProgressBar, JSeparator, JSlider, JTabbedPane, JTextField, JToolBar, MetalBorders.ToolBarBorder, SwingUtilities, View

public interface SwingConstants

A collection of constants generally used for positioning and orienting components on the screen.

Field Summary
`static int` | `BOTTOM` Box-orientation constant used to specify the bottom of a box.
`static int` | `CENTER` The central position in an area.
`static int` | `EAST` Compass-direction east (right).
`static int` | `HORIZONTAL` Horizontal orientation.
`static int` | `LEADING` Identifies the leading edge of text for use with left-to-right and right-to-left languages.
`static int` | `LEFT` Box-orientation constant used to specify the left side of a box.
`static int` | `NEXT` Identifies the next direction in a sequence.
`static int` | `NORTH` Compass-direction North (up).
`static int` | `NORTH_EAST` Compass-direction north-east (upper right).
`static int` | `NORTH_WEST` Compass-direction north west (upper left).
`static int` | `PREVIOUS` Identifies the previous direction in a sequence.
`static int` | `RIGHT` Box-orientation constant used to specify the right side of a box.
`static int` | `SOUTH` Compass-direction south (down).
`static int` | `SOUTH_EAST` Compass-direction south-east (lower right).
`static int` | `SOUTH_WEST` Compass-direction south-west (lower left).
`static int` | `TOP` Box-orientation constant used to specify the top of a box.
`static int` | `TRAILING` Identifies the trailing edge of text for use with left-to-right and right-to-left languages.
`static int` | `VERTICAL` Vertical orientation.
`static int` | `WEST` Compass-direction west (left).

Field Detail

### CENTER

    public static final int CENTER

  The central position in an area. Used for both compass-direction constants (NORTH, etc.) and box-orientation constants (TOP, etc.).

  See Also:
    Constant Field Values

### TOP

    public static final int TOP

  Box-orientation constant used to specify the top of a box.

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  Box-orientation constant used to specify the left side of a box.

  See Also:
    Constant Field Values

### BOTTOM

    public static final int BOTTOM

  Box-orientation constant used to specify the bottom of a box.

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  Box-orientation constant used to specify the right side of a box.

  See Also:
    Constant Field Values

### NORTH

    public static final int NORTH

  Compass-direction North (up).

  See Also:
    Constant Field Values

### NORTH_EAST

    public static final int NORTH_EAST

  Compass-direction north-east (upper right).

  See Also:
    Constant Field Values

### EAST

    public static final int EAST

  Compass-direction east (right).

  See Also:
    Constant Field Values

### SOUTH_EAST

    public static final int SOUTH_EAST

  Compass-direction south-east (lower right).

  See Also:
    Constant Field Values

### SOUTH

    public static final int SOUTH

  Compass-direction south (down).

  See Also:
    Constant Field Values

### SOUTH_WEST

    public static final int SOUTH_WEST

  Compass-direction south-west (lower left).

  See Also:
    Constant Field Values

### WEST

    public static final int WEST

  Compass-direction west (left).

  See Also:
    Constant Field Values

### NORTH_WEST

    public static final int NORTH_WEST

  Compass-direction north west (upper left).

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

  Horizontal orientation. Used for scrollbars and sliders.

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  Vertical orientation. Used for scrollbars and sliders.

  See Also:
    Constant Field Values

### LEADING

    public static final int LEADING

  Identifies the leading edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

  See Also:
    Constant Field Values

### TRAILING

    public static final int TRAILING

  Identifies the trailing edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

  See Also:
    Constant Field Values

### NEXT

    public static final int NEXT

  Identifies the next direction in a sequence.

  Since:
    1.4
See Also:
  Constant Field Values

### PREVIOUS

    public static final int PREVIOUS

  Identifies the previous direction in a sequence.

  Since:
    1.4
See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.